#!/bin/sh

if [ $# -ne 2 ]; then
   echo -e "Usage:\n\t$0 {hostname} {serverpassword}"
   exit 1;
fi

HOSTNAME=${1}
PASS=${2}

echo "Installing AllShoppings Captive Portal Utilities..."

echo "master" > /etc/antenna-mode

ln -fs /usr/local/allshoppings-cportal/as-mac-capture /etc/init.d/as-mac-capture
ln -fs /usr/local/allshoppings-cportal/watchdog /etc/init.d/watchdog
ln -fs /usr/local/allshoppings-cportal/aspcap.conf /etc/aspcap.conf

cp /usr/local/allshoppings-cportal/profile /etc/profile
cp /usr/local/allshoppings-cportal/rc.local /etc/rc.local

rm -Rf /etc/openvpn
rm -f /etc/config/openvpn
ln -fs /usr/local/allshoppings-cportal/openvpn/ /etc/openvpn
ln -fs /usr/local/allshoppings-cportal/openvpn.conf /etc/config/openvpn
ln -fs /usr/local/allshoppings-cportal/sshpass /bin/sshpass

/etc/init.d/as-mac-capture disable
/etc/init.d/wifidog disable
/etc/init.d/openvpn enable
/etc/init.d/watchdog enable

crontab /usr/local/allshoppings-cportal/crontab.tmpl

rm -Rf /etc/config/wireless-* 2>> /dev/null
rm -Rf /etc/config/network-* 2>> /dev/null
cp /usr/local/allshoppings-cportal/wireless-master /etc/config/wireless
cp /usr/local/allshoppings-cportal/network-master /etc/config/network

uci commit network
uci set system.@system[0].hostname=${HOSTNAME}
uci set system.@system[0].zonename=UTC
uci set system.@system[0].timezone=GMT0
uci commit system
uci set wireless.@wifi-iface[0].ssid=${HOSTNAME}
uci commit wireless
echo $(uci get system.@system[0].hostname) > /proc/sys/kernel/hostname

rm /etc/openvpn/keys/client.*
sshpass -p ${PASS} scp root@cportal1.allshoppings.mobi:/usr/local/as-wifidog-auth-server/usr/easyrsa/keys/${HOSTNAME}.crt /etc/openvpn/keys/client.crt
sshpass -p ${PASS} scp root@cportal1.allshoppings.mobi:/usr/local/as-wifidog-auth-server/usr/easyrsa/keys/${HOSTNAME}.key /etc/openvpn/keys/client.key

