#!/bin/ash

if [ $# -ne 1 ]; then
   echo -e "Usage:\n\t$0 {serverpassword}"
   exit 1;
fi

MODE=`cat /etc/antenna-mode`
HOSTNAME=`uci get system.@system[0].hostname`
PASS=${1}

if [ "$MODE" == "slave" ]; then
	echo "slave mode"
	SSID=`uci get wireless.@wifi-iface[1].ssid`
	IPADDR=`uci get network.lan.ipaddr`
	/usr/local/allshoppings-cportal/install-slave.sh ${HOSTNAME} ${SSID} ${IPADDR}
	/usr/local/allshoppings-cportal/install-certs.sh ${HOSTNAME} ${PASS}
else
	echo "master mode"
	/usr/local/allshoppings-cportal/install-master.sh ${HOSTNAME} ${PASS}
fi
